guacamole-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dan <danden...@gmail.com>
Subject Re: issue with web client logins
Date Fri, 16 Mar 2018 17:02:34 GMT
Thanks Mike.  Can you point me to that script and the mysql auth plugin?

On Thu, Mar 15, 2018 at 12:39 PM, Mike Jumper <mike.jumper@guac-dev.org> wrote:
> On Mar 15, 2018 10:59, "dan" <dandenson@gmail.com> wrote:
>
> I followed the install guide for debian here:
> https://wiki.debian.org/Guacamole
>
>
> The official instructions are in the manual:
>
> http://guacamole.apache.org/doc/gug/installing-guacamole.html
>
>
> I'm having an issue logging in.  I get the typical login screen on
> ip:8080, but when I try to login with guacadmin/guacadmin I get
> 'Invalid Login'.
>
> ...
>
> I'm not sure if it's actually loading the mysql plugin, but the plugins
> exist:
>
> root@guac:/home/dan# ls /etc/guacamole/lib/
> mysql-connector-java.jar
> root@guac:/home/dan# ls /etc/guacamole/extensions/
> guacamole-auth-jdbc-mysql-0.9.9.jar
>
> Here's more of that file:
>
>
> 11:51:49.930 [localhost-startStop-1] INFO
> o.a.g.environment.LocalEnvironment - GUACAMOLE_HOME is
> "/var/lib/tomcat8/.guacamole".
>
>
> Though these are not the complete logs, this message is a new addition from
> 0.9.14, and is enough to show that the version of the webapp does not match
> the version of the extension you list here. There should be a message
> earlier in the logs noting that the extension is not compatible.
>
> You will need to use the 0.9.14 version of the mysql auth. You will also
> need either a fresh db to use the upgrade scripts between 0.9.9 and 0.9.14
> to bring your schem up to date.
>
> - Mike
>

Mime
View raw message